CVE-2017-8422

Impact:
Important
Public Date:
2017-05-10
CWE:
CWE-290
Bugzilla:
1449647: CVE-2017-8422 kauth: service invoking dbus is not properly checked and allows local privilege escalation
A privilege escalation flaw was found in the way kdelibs handled D-Bus messages. A local user could potentially use this flaw to gain root privileges by spoofing a callerID and leveraging a privileged helper application.

Find out more about CVE-2017-8422 from the MITRE CVE dictionary dictionary and NIST NVD.

CVSS v3 metrics

CVSS3 Base Score 7.8
CVSS3 Base Metrics CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H
Attack Vector Local
Attack Complexity Low
Privileges Required Low
User Interaction None
Scope Unchanged
Confidentiality High
Integrity Impact High
Availability Impact High

Red Hat Security Errata

Platform Errata Release Date
Red Hat Enterprise Linux 7 (kdelibs) RHSA-2017:1264 2017-05-22

Affected Packages State

Platform Package State
Red Hat Enterprise Linux 7 kdelibs-experimental Not affected
Red Hat Enterprise Linux 6 kdelibs Not affected
Red Hat Enterprise Linux 6 kdelibs3 Not affected
Red Hat Enterprise Linux 6 kdelibs-experimental Not affected
Red Hat Enterprise Linux 5 kdelibs Not affected

Acknowledgements

Red Hat would like to thank Sebastian Krahmer (SUSE) for reporting this issue.

External References

Last Modified